cancel
Showing results for 
Search instead for 
Did you mean: 

soapui-pro / jasperreports dependency

Highlighted
Occasional Visitor

soapui-pro / jasperreports dependency

Latest soapui-pro Maven pom seems to contain incorrect groupId for jasperreports dependency:
https://rapi.tools.ops.smartbear.io/nexus/content/groups/public/com/smartbear/soapui/soapui-pro/5.1....

<dependency>
<groupId>jasperreports</groupId>
<artifactId>jasperreports</artifactId>
<version>4.0.2</version>
</dependency>

This dependency is not found from maven central.
Correct groupId for 4.0.2 version is net.sf.jasperreports when searching jasperreports from maven central:
https://search.maven.org/search?q=g:net.sf.jasperreports%20AND%20a:jasperreports&core=gav

Also soapui-pro-5.1.2.pom required artifact net-components:netcomponents:jar:1.3.8a is missing from smartbear maven repository and central repository.

Could you please fix these problems in smartbear maven repo?

1 REPLY 1
Community Hero

Re: soapui-pro / jasperreports dependency

You asked this question in the Open Source forum - issues like this with the Open Source version should probably be raised in GitHub instead of this forum, which is more of a Q&A type thing.

 

However, you mentioned SoapUI pro - I don't know much about the support model for that version, so I'm going to send your post over to that forum in case someone can help.

New Here?
Join us and watch the welcome video:
Join the exciting event
SeptemberHubBub
Top Kudoed Authors
Join the September Hub-bub to show off, learn and win